toolzerhub API Docs

Get property details (v1)

Get a property's class, description, address, phone, website, check-in and check-out times, rating breakdown and photos. Returns null for a token Google has no property for.

1 credit / requestBilled only on success
GET
/v1/google-hotels/property

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

property_token*string

property_token of a search result.

Match^C[A-Za-z0-9_-]{9,199}$
check_in_date*string

Check-in date.

Match^\d{4}-\d{2}-\d{2}$
check_out_date*string

Check-out date.

Match^\d{4}-\d{2}-\d{2}$
currency?string

ISO 4217 currency for prices.

Match^[A-Za-z]{3}$
Default"USD"
curl -X GET "https://example.com/v1/google-hotels/property?property_token=ChgIxfW9593Qkbu3ARoLL2cvMXRnczA3ZHQQAQ&check_in_date=2026-12-10&check_out_date=2026-12-13" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property_token": "string",    "name": "string",    "hotel_class": "4-star tourist hotel",    "stars": 0,    "description": "string",    "highlights": [      "string"    ],    "address": "string",    "latitude": 0,    "longitude": 0,    "phone": "string",    "website": "string",    "check_in_time": "4:00 PM",    "check_out_time": "11:00 AM",    "rating": 0,    "reviews": 0,    "rating_breakdown": [      {        "stars": 0,        "percent": 0,        "count": 0      }    ],    "photos": [      "string"    ],    "google_place_id": "string",    "google_maps_id": "string"  },  "details": {    "reason": "string",    "message": "string"  }}